Package com.sun.mirror.util

## Interface Declarations

    public interface Declarations

Utility methods for operating on declarations.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hides​(MemberDeclaration sub, MemberDeclaration sup)` Tests whether one type, method, or field declaration hides another.
`boolean` `overrides​(MethodDeclaration sub, MethodDeclaration sup)` Tests whether one method overrides another.

### Method Detail

#### hides

    boolean hides​(MemberDeclaration sub,
                  MemberDeclaration sup)

Tests whether one type, method, or field declaration hides another.

Parameters:
  `sub` - the first member
  `sup` - the second member
Returns:
  `true` if and only if the first member hides the second

#### overrides

    boolean overrides​(MethodDeclaration sub,
                      MethodDeclaration sup)

Tests whether one method overrides another. When a non-abstract method overrides an abstract one, the former is also said to implement the latter.

Parameters:
  `sub` - the first method
  `sup` - the second method
Returns:
  `true` if and only if the first method overrides the second